summaryrefslogtreecommitdiffstats
path: root/academic/meep/meep.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/meep/meep.SlackBuild')
-rw-r--r--academic/meep/meep.SlackBuild63
1 files changed, 41 insertions, 22 deletions
diff --git a/academic/meep/meep.SlackBuild b/academic/meep/meep.SlackBuild
index 347fb3f9ae..629d20e14d 100644
--- a/academic/meep/meep.SlackBuild
+++ b/academic/meep/meep.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for meep
@@ -22,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=meep
-VERSION=${VERSION:-1.12.0}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.25.0}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -54,19 +64,23 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
# change annoying underscores into hyphens
SVERSION=$(echo $VERSION | tr '_' '-')
# make a custom list of doc files in advance
DOCFILES="AUTHORS COPYRIGHT LICENSE TODO NEWS.md"
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$SVERSION
tar xvf $CWD/$PRGNAM-$SVERSION.tar.gz
cd $PRGNAM-$SVERSION
+# patch 32bit build - thanks debian devs
+case "$ARCH" in
+ i?86) zcat $CWD/i386-fix.patch.gz | patch -p1 ;;
+esac
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -74,13 +88,27 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-LOCALCONFIGS=" --without-python --with-mpi "
+# if there is no configure script, try to build one!
+if [ ! -f ./configure ] ; then
+ ./autogen.sh
+fi
+
+LOCALCONFIGS=
+XDBFILE=/etc/sbo_pkg_options.conf
+if [ -f ${XDBFILE} ] ; then
+ LOCALCONFIGS=${LOCALCONFIGS}" "$(grep "^${PRGNAM}:" ${XDBFILE} | grep -v '^#' | awk -F: '{print$2}')
+ echo Build options selected by file: LOCALCONFIGS=${LOCALCONFIGS}
+fi
+if [ -n "${SBOPTIONS_MEEP}" ] ; then
+ LOCALCONFIGS=${LOCALCONFIGS}" "${SBOPTIONS_MEEP}
+ echo Build options selected by environment: LOCALCONFIGS=${LOCALCONFIGS}
+fi
# check for the Atlas replacement for blas; if the libraries are found,
# add the configure option accordingly
-if [ -f /usr/lib${LIBDIRSUFFIX}/libatlas.a ] ; then
- if [ -f /usr/lib${LIBIRSUFFIX}/libatlas.so ] ; then
+if [ -f /usr/lib/libatlas.a ] ; then
+ if [ -f /usr/lib/libatlas.so ] ; then
echo "NOTICE: libatlas was found, configure --with-blas=atlas"
LOCALCONFIGS=${LOCALCONFIGS}" --with-blas=atlas"
fi
@@ -88,38 +116,29 @@ fi
CFLAGS="$SLKCFLAGS" \
CPPFLAGS="$SLKCFLAGS" \
+PYTHON=/usr/bin/python3 \
./configure \
--prefix=/usr \
--mandir=/usr/man \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
- --disable-static \
$LOCALCONFIGS
make
make install DESTDIR=$PKG
-
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-#find $PKG/usr/man -type f -exec gzip -9 {} \;
-#for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
install -m 0644 $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -f $PKG/usr/lib*/*.la
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-###sbolint off
-if [ -f $CWD/doinst.sh ] ; then
- cat $CWD/doinst.sh > $PKG/install/doinst.sh
-fi
-###sbolint on
-
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE